1

after fluent (cfd software) setup, when i run the app i get an error :

/usr/local/Fluent.Inc/fluent6.3.26/bin/fluent -r6.3.26 -3ddp
/usr/local/Fluent.Inc/fluent6.3.26/cortex/lnamd64/cortex.3.7.3 -f fluent -3ddp (fluent "  -r6.3.26 -path/usr/local/Fluent.Inc")
/usr/local/Fluent.Inc/fluent6.3.26/cortex/lnamd64/cortex.3.7.3: error while loading shared libraries: libjpeg.so.62: cannot open shared object file: No such file or directory

so i verified that the libjpeg.so.62 is installed and i used :

export LD_LIBRARY_PATH=/usr/local/Fluent.Inc/fluent6.3.26/lnamd64/syslib:/usr/local/Fluent.Inc/lib3.0/lnamd64:/usr/lib32:/usr/lib/i386-linux-gnu:$LD_LIBRARY_PATH

then i got a new error:

/usr/local/Fluent.Inc/fluent6.3.26/cortex/lnamd64/cortex.3.7.3: error while loading shared libraries: libjpeg.so.62: wrong ELF class: ELFCLASS32

when i tape :

ldd -d ../fluent6.3.26/cortex/lnamd64/cortex.3.7.3

it returnes:

linux-vdso.so.1 =>  (0x00007ffc26dfc000)
libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007f391db51000)
libhoops1127.so => /usr/local/Fluent.Inc/lib3.0/lnamd64/libhoops1127.so (0x00007f391d65b000)
libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007f391d457000)
libjpeg.so.62 => not found
libXt.so.6 => /usr/lib/x86_64-linux-gnu/libXt.so.6 (0x00007f391d1ee000)
libXext.so.6 => /usr/lib/x86_64-linux-gnu/libXext.so.6 (0x00007f391cfdc000)
libX11.so.6 => /usr/lib/x86_64-linux-gnu/libX11.so.6 (0x00007f391cca2000)
libstdc++.so.5 => not found
libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007f391c999000)
libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007f391c783000)
libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f391c3b9000)
/lib64/ld-linux-x86-64.so.2 (0x00007f391dd6e000)
libSM.so.6 => /usr/lib/x86_64-linux-gnu/libSM.so.6 (0x00007f391c1b1000)
libICE.so.6 => /usr/lib/x86_64-linux-gnu/libICE.so.6 (0x00007f391bf97000)
libxcb.so.1 => /usr/lib/x86_64-linux-gnu/libxcb.so.1 (0x00007f391bd75000)
libuuid.so.1 => /lib/x86_64-linux-gnu/libuuid.so.1 (0x00007f391bb70000)
libXau.so.6 => /usr/lib/x86_64-linux-gnu/libXau.so.6 (0x00007f391b96c000)
libXdmcp.so.6 => /usr/lib/x86_64-linux-gnu/libXdmcp.so.6 (0x00007f391b766000)

remarque :

even if it returned that libstdc++.so.5 does not exist whene i do :

 ls lib3.0/lnamd64
 libhoops1127.so libopengl1126hdi.so

and

 /usr/local/Fluent.Inc$ ls fluent6.3.26/lnamd64/syslib
 libg2c.so.0      libgcc_s-3.2.3-20040701.so.1  libifcore.so.5  libimf.so  libstdc++.so.5      libsvml.so
 libg2c.so.0.0.0  libgcc_s.so.1                 libifport.so.5  libirc.so  libstdc++.so.5.0.3

so there is mainly 2 problems: libstdc++ and libjpeg.so.62

  • How did you setup fluent? – muru Apr 2 '18 at 3:27
  • using an .sh script (the version i have i fluent6) – ad_bek Apr 3 '18 at 5:50

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.